Bug 100964 - [PATCH] lang/Sather: fix file permissions
[PATCH] lang/Sather: fix file permissions
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 08:40 UTC by ssedov
Modified: 2006-08-04 15:13 UTC (History)
0 users

See Also:


Attachments
sather-1.2.1_3.patch (3.15 KB, patch)
2006-07-28 08:40 UTC, ssedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ssedov 2006-07-28 08:40:14 UTC
 - Fix installed files's permissions
 - Use PORTDOCS macro
Comment 1 Rong-En Fan freebsd_committer 2006-07-28 20:08:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 ssedov 2006-08-03 20:03:22 UTC
On Sat, 29 Jul 2006 10:18:57 +0800
Rong-En Fan <rafan@FreeBSD.org> mentioned:

> Dear Stanislav Sedov,
> 
> I got build failure on 4.x, 
> 
> http://www.rafan.org/tb/errors/4-FreeBSD/sather-1.2.1_3.log
> 
> It looks a bit wired. Could you please investigate this?
> 
> Thanks,
> Rong-En Fan
> 
> 


Ugh... I've finally got Sather working on 4.x and 7.x..
The patch is located at http://mbsd.msk.ru/dist/Sather.diff .

Short changelog:
- Update to 1.2.2
- Unbrake on all platforms
- Use tk8.4 instead of tk8.3
- Fix bug with abort2 function

Some notes:
1) Due to some GC/Sather bugs we need specific options to compile GC. To achive
this i compile GC separately and link it statically. I've not include it in
dependencies to not bother user with GC's OPTIONS.
2) Port can be build currently only against non-threaded Tk/Tcl library. Don't
know currently how to investigate this since there are no way to find if
Tk build with or without threads. Furthermore, tk and tk-threads are mutually
exclusive. Linking agains static Tk is bogus...

-- 
Stanislav Sedov         MBSD labs, Inc.         <ssedov@mbsd.msk.ru>
òÏÓÓÉÑ, íÏÓË×Á         http://mbsd.msk.ru

--------------------------------------------------------------------
If the facts don't fit the theory, change the facts.  -- A. Einstein
--------------------------------------------------------------------
PGP fingerprint:  F21E D6CC 5626 9609 6CE2  A385 2BF5 5993 EB26 9581
Comment 3 ssedov 2006-08-03 20:06:29 UTC
Oh, and files deleted/removed:

the following files was added:
- files/patch-Boot_sacomp.code_cgenCGEN1354269066xxxxxxxxx.c
- files/patch-Boot_sacomp.code_stringsxx.c
- files/patch-System_Platforms_freebsd_header.h

i removed the following files:
- files/freebsd-CONFIG
- files/freebsd-Makefile
- files/freebsd-Platform.module
- files/freebsd-header.h
- files/patch-Boot::sacomp.code::Makefile 
- files/patch-Library::System::unix.sa
- files/patch-Makefile
- files/patch-System::Common::CONFIG.proto
- files/patch-System::Common::Makefile
- files/patch-System::Platforms::X::Platform.module
- files/patch-System::Platforms::tcltk::Make.target.inc
- files/patch-System::Platforms::unix::header.h
- files/patch-debian::bin-wrapper
- pkg-plist


-- 
Stanislav Sedov         MBSD labs, Inc.         <ssedov@mbsd.msk.ru>
òÏÓÓÉÑ, íÏÓË×Á         http://mbsd.msk.ru

--------------------------------------------------------------------
If the facts don't fit the theory, change the facts.  -- A. Einstein
--------------------------------------------------------------------
PGP fingerprint:  F21E D6CC 5626 9609 6CE2  A385 2BF5 5993 EB26 9581
Comment 4 Rong-En Fan freebsd_committer 2006-08-04 15:13:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!